import { localizeWithPath } from '../../../../nls.js';
import { registerColor } from '../colorUtils.js';
import { contrastBorder, activeContrastBorder } from './baseColors.js';
import { selectForeground, selectBackground } from './inputColors.js';
import { listActiveSelectionForeground, listActiveSelectionBackground } from './listColors.js';
const _moduleId = "vs/platform/theme/common/colors/menuColors";
const menuBorder = registerColor('menu.border', { dark: null, light: null, hcDark: contrastBorder, hcLight: contrastBorder }, ( localizeWithPath(_moduleId, 0, "Border color of menus.")));
const menuForeground = registerColor('menu.foreground', selectForeground, ( localizeWithPath(_moduleId, 1, "Foreground color of menu items.")));
const menuBackground = registerColor('menu.background', selectBackground, ( localizeWithPath(_moduleId, 2, "Background color of menu items.")));
const menuSelectionForeground = registerColor('menu.selectionForeground', listActiveSelectionForeground, ( localizeWithPath(_moduleId, 3, "Foreground color of the selected menu item in menus.")));
const menuSelectionBackground = registerColor('menu.selectionBackground', listActiveSelectionBackground, ( localizeWithPath(_moduleId, 4, "Background color of the selected menu item in menus.")));
const menuSelectionBorder = registerColor('menu.selectionBorder', { dark: null, light: null, hcDark: activeContrastBorder, hcLight: activeContrastBorder }, ( localizeWithPath(_moduleId, 5, "Border color of the selected menu item in menus.")));
const menuSeparatorBackground = registerColor('menu.separatorBackground', { dark: '#606060', light: '#D4D4D4', hcDark: contrastBorder, hcLight: contrastBorder }, ( localizeWithPath(_moduleId, 6, "Color of a separator menu item in menus.")));
export { menuBackground, menuBorder, menuForeground, menuSelectionBackground, menuSelectionBorder, menuSelectionForeground, menuSeparatorBackground };
